<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Platiti\GPWebPayGpeNs\PrestaShop\PrestaAdapterTrait;

use PaymentModule;
use PrestaShop\PrestaShop\Core\Payment\PaymentOption;

require_once(__DIR__ . '/PrestaAdapterTrait.php');

class PrestaAdapter extends PaymentModule {
	use PrestaAdapterTrait;
	/**
	 * @param ?string $uniModul
	 * @param ?string $subMethod
	 * @return void
	 */
	public function __construct($uniModul=null, $subMethod = null) {
		$this->initialize($uniModul, $subMethod);
	}
}

if ("GPWebPayGpeNs" == "Pti"."UniNs") { // @phpstan-ignore-line
	class_alias(__NAMESPACE__ . '\\PrestaAdapter', 'PrestaAdapter');
}