<?php

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Throwable;
use ModuleFrontController;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

class PrestaAdapterNotifyModuleFrontController extends ModuleFrontController {

	public $ssl = true;

	/**
	 * @return void
	 */
	public function initContent() {
		parent::initContent();
		try {
			UniErr::begin();

			/** @var PrestaAdapter */ // not exactly, but PrestaAdapter uses the needed trait PrestaAdapterTrait
			$module = $this->module;
			$orderReplyStatus = $module->uniModul->gatewayReceiveNotification();
			ob_flush(); // presta nekdy ve validaci vola ob_clean() a pak by smazala OK atp generovane fci gatewayReceiveNotification
			$module->procesReplyStatus($orderReplyStatus, false);

			UniErr::end();
		} catch (Exception $ex) {
			UniErr::exception($ex);
		} catch (Throwable $ex) {
			UniErr::exception($ex);
		}
	}

	/**
     * @param mixed $content
	 * @return void
     */
	protected function smartyOutputContent($content) {
		// no smarty output
	}

}

