<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Throwable;
use Platiti\GPWebPayGpeNs\PrestaShop\PrestaAdapter;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

include_once(dirname(__FILE__).'/../../config/config.inc.php');
include_once(dirname(__FILE__).'/../../init.php');
require dirname(__FILE__).'/PrestaAdapter.php';

try {
	UniErr::begin();

	$adapter = new PrestaAdapter($_GET['uniModul']);
	$orderReplyStatus = $adapter->uniModul->gatewayReceiveNotification();
	ob_flush(); // presta nekdy ve validaci vola ob_clean() a pak by smazala OK atp generovane fci gatewayReceiveNotification
	$adapter = new PrestaAdapter($_GET['uniModul']);
	$adapter->procesReplyStatus($orderReplyStatus, false);

	UniErr::end();
} catch (Exception $ex) {
	UniErr::exception($ex);
} catch (Throwable $ex) {
	UniErr::exception($ex);
}

