<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Throwable;
use Platiti\GPWebPayGpeNs\PrestaShop\PrestaAdapter;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

include(dirname(__FILE__).'/../../config/config.inc.php');

//$tmpuri = $_SERVER['REQUEST_URI']; // hack kvuli body@id, ktere se odvozuje od url u modulu vcetne query stringu. body@id je potrebne pro stylovani a query string vadi
//$_SERVER['REQUEST_URI'] = preg_replace('/\?.*/', '', $_SERVER['REQUEST_URI']);
//$tmpmeth = $_SERVER['REQUEST_METHOD'];
//$_SERVER['REQUEST_METHOD'] = 'POST'; // dalsi hack kvuli hacku, kdy pro ssl a non-POST to chce redirectovat, ale URI je uz zmenene
include(dirname(__FILE__).'/../../init.php');
//$_SERVER['REQUEST_METHOD'] = $tmpmeth;
//$_SERVER['REQUEST_URI'] = $tmpuri;

require dirname(__FILE__).'/PrestaAdapter.php';


try {
	UniErr::begin();

	session_start();
	$adapter = new PrestaAdapter($_GET['uniModul']);

	$adapter->redirectToGatewayPage();
	$adapter->displayTemplate(dirname(__FILE__).'/views/templates/front/redirect.tpl');

	UniErr::end();
} catch (Exception $ex) {
	UniErr::exception($ex);
} catch (Throwable $ex) {
	UniErr::exception($ex);
}





