<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#

namespace Platiti\GPWebPayGpeNs\PrestaShop;
use Platiti\GPWebPayGpeNs\PrestaShop\PrestaAdapter;

use Exception;
use Throwable;
use Language;
use Platiti\GPWebPayGpeNs\UniModul\UniErr;

include_once('../../config/config.inc.php');
include_once('../../init.php');
require 'PrestaAdapter.php';

try {
	UniErr::begin();
	session_start();

	$adapter = new PrestaAdapter($_GET['uniModul']);

	// k cemu?, kdyz stejne cart konstruhuju nize?
	//if ($cart->id_customer == 0 OR $cart->id_address_delivery == 0 OR $cart->id_address_invoice == 0 OR !$adapter->active)
	//	Tools::redirectLink(__PS_BASE_URI__.'order.php?step=1');

	global $cookie;
	$language = Language::getIsoById($cookie->id_lang ? (int)($cookie->id_lang) : 1);
	$orderReplyStatus = $adapter->uniModul->gatewayReceiveReply(strval($language));
	$adapter = new PrestaAdapter($_GET['uniModul']);
	$adapter->procesReplyStatus($orderReplyStatus, true);
	UniErr::end();
} catch (Exception $ex) {
	UniErr::exception($ex);
} catch (Throwable $ex) {
	UniErr::exception($ex);
}